//=============================================================================
// IG_Beacon.
//=============================================================================
class IG_Beacon expands Effects;

var ScriptedPawn ImplantPawn;

replication
{
	reliable if ( (Role == ROLE_Authority) && !bNetOwner )
		ImplantPawn;
}

simulated function Tick(float DeltaTime)
{
	local float Scale;

	if ( bNetOwner )
	{
		bHidden = True;

		return;
	}

	if ( ImplantPawn == None )
	return;

	Scale = ImplantPawn.CollisionHeight/80;

	SetLocation(ImplantPawn.Location+ImplantPawn.CollisionHeight*vect(0,0,1)+Scale*vect(0,0,40));

	if ( Level.NetMode != NM_DedicatedServer )
	DrawScale = Scale;
}

defaultproperties
{
     bNetTemporary=False
     DrawType=DT_Sprite
     Texture=Texture'S_Player'
     RemoteRole=ROLE_SimulatedProxy
}
