//=============================================================================
// IG_Fly.
//=============================================================================
class IG_Fly expands IG_Handler;

function ImplantFire()
{
	if ( ImplantPawn.AnimSequence == 'Flying' )
	{
		FindTarget();

		if ( ImplantPawn.Target != None )
		{
			ImplantPawn.LoopAnim('Shoot1',1.0,0.05);

			GotoState('ImplantFiring','Sting');

			return;
		}

		if ( ImplantPawn.RangedProjectile == None )
		return;

		ImplantPawn.LoopAnim('Shoot1',FClamp(ImplantPawn.RefireRate,1,5),0.05);

		GotoState('ImplantFiring','ProjFire');
	}
}

state ImplantFiring
{
	function AnimCheck(name Anim)
	{
		if ( Anim != ImplantPawn.AnimSequence )
		return;

		FindTarget();

		if ( !b227 && (ImplantPawn.Target == None) )
		ImplantPawn.LoopAnim('Flying',0.5,0.2);
		else if ( (ImplantPawn.Target == Level) || (Mover(ImplantPawn.Target) != None) )
		WallTarget();
		else if ( ImplantPawn.Target != None )
		ImplantPawn.MeleeDamageTarget(15,15000*Normal(ImplantPawn.Target.Location-ImplantPawn.Location));
	}

	function WallTarget()
	{
		if ( (Mover(ImplantPawn.Target) != None) && Mover(ImplantPawn.Target).bDamageTriggered )
		ImplantPawn.Target.TakeDamage(15,ImplantPawn,ImplantPawn.Target.Location,vect(0,0,0),'Hacked');
	}

Sting:
	Sleep(0.14);
	AnimCheck('Shoot1');
	Goto('End');

ProjFire:
	Sleep(0.05+0.05/FClamp(ImplantPawn.RefireRate,1,5));
	if ( ImplantPawn.AnimSequence == 'Shoot1' )
	SpawnProjectile();
	Goto('End');
}

function ImplantAnimation()
{
	if ( (ImplantPawn.AnimSequence != 'Flying') && (ImplantPawn.AnimSequence != 'Shoot1') )
	ImplantPawn.LoopAnim('Flying',0.5,0.1);
}

defaultproperties
{
     bCanFly=True
     FireOffset=(X=8.000000,Y=0.000000,Z=-10.000000)
}
