//=============================================================================
// IG_Gasbag.
//=============================================================================
class IG_Gasbag expands IG_Handler;

function ImplantFire()
{
	if ( ImplantPawn.AnimSequence == 'Float' )
	{
		FindTarget();

		if ( ImplantPawn.Target != None )
		{
			if ( FRand() < 0.5 )
			{
				ImplantPawn.LoopAnim('Pound',1.0,0.05);

				ImplantPawn.PlaySound(Gasbag(ImplantPawn).Pound,SLOT_Interact);

				GotoState('ImplantFiring','Pound');
			}
			else
			{
				ImplantPawn.LoopAnim('TwoPunch',1.0,0.05);

				ImplantPawn.PlaySound(Gasbag(ImplantPawn).Punch,SLOT_Interact);

				GotoState('ImplantFiring','TwoPunch');
			}

			return;
		}

		ImplantPawn.LoopAnim('Belch',1.0,0.1);
	}
}

state ImplantFiring
{
	function AnimCheck(name Anim)
	{
		if ( Anim != ImplantPawn.AnimSequence )
		return;

		FindTarget();

		if ( !b227 && (ImplantPawn.Target == None) )
		ImplantPawn.LoopAnim('Float',0.5,0.2);
		else if ( (ImplantPawn.Target == Level) || (Mover(ImplantPawn.Target) != None) )
		WallTarget();
	}

	function WallTarget()
	{
		ImplantPawn.PlaySound(Gasbag(ImplantPawn).PunchHit,SLOT_Interact);

		if ( (Mover(ImplantPawn.Target) != None) && Mover(ImplantPawn.Target).bDamageTriggered )
		ImplantPawn.Target.TakeDamage(Gasbag(ImplantPawn).PoundDamage,ImplantPawn,ImplantPawn.Target.Location,vect(0,0,0),'Hacked');
	}

Pound:
	Sleep(0.3);
	AnimCheck('Pound');
	Goto('End');

TwoPunch:
	Sleep(0.3);
	AnimCheck('TwoPunch');
	Sleep(0.3);
	AnimCheck('TwoPunch');
	Goto('End');
}

function ImplantAnimation()
{
	if ( (ImplantPawn.AnimSequence != 'Float') && (ImplantPawn.AnimSequence != 'Belch') && (ImplantPawn.AnimSequence != 'Pound') && (ImplantPawn.AnimSequence != 'TwoPunch') )
	ImplantPawn.LoopAnim('Float',0.5,0.1);
}

defaultproperties
{
     bCanFly=True
     IgnoreState=BreathingFire
}
