//=============================================================================
// IG_BlastEffect.
//=============================================================================
class IG_BlastEffect expands Effects;

function PostBeginPlay()
{
	local rotator NewRot;

	NewRot = Rotation;

	NewRot.Roll += 16384;

	SetRotation(NewRot);

	PlayAnim('Burst',1.5);
}

function Tick(float DeltaTime)
{
	if ( LifeSpan < 1.75 )
	LightBrightness = Max(LightBrightness-default.LightBrightness*DeltaTime*3,0);
}

function AnimEnd()
{
	Destroy();
}

simulated function PreBeginPlay()
{
	Super.PreBeginPlay();

	if ( (Int(Level.EngineVersion) < 226) && (Level.NetMode != NM_DedicatedServer) )
	MultiSkins[1] = Texture'UDamageFX';
}

defaultproperties
{
     LifeSpan=2.000000
     DrawType=DT_Mesh
     Mesh=Mesh'IG_BlastMesh'
     bUnlit=True
     AmbientGlow=255
     LightType=LT_Steady
     LightEffect=LE_NonIncidence
     LightRadius=8
     LightBrightness=80
     LightHue=180
     LightSaturation=64
     RemoteRole=ROLE_None
}
