//=============================================================================
// IG_FootstepHandler.
//=============================================================================
class IG_FootstepHandler expands Actor;

simulated function Tick(float DeltaTime)
{
	Disable('Tick');

	if ( UnrealIPlayer(Owner) == None )
	return;

	UnrealIPlayer(Owner).Footstep1 = None;
	UnrealIPlayer(Owner).Footstep2 = None;
	UnrealIPlayer(Owner).Footstep3 = None;
}

simulated function Destroyed()
{
	if ( (UnrealIPlayer(Owner) == None) || Owner.bDeleteMe )
	return;

	UnrealIPlayer(Owner).Footstep1 = UnrealIPlayer(Owner).default.Footstep1;
	UnrealIPlayer(Owner).Footstep2 = UnrealIPlayer(Owner).default.Footstep2;
	UnrealIPlayer(Owner).Footstep3 = UnrealIPlayer(Owner).default.Footstep3;

	CheckLavaBoots();
}

simulated function CheckLavaBoots()
{
	local Actor A;

	ForEach AllActors( class'Actor', A )
	if ( (Right(String(A.Class),18) ~= "LB_FootstepHandler") && (A.Owner == Owner) )
	A.Enable('Tick');
}

defaultproperties
{
     DrawType=DT_None
     RemoteRole=ROLE_SimulatedProxy
}
