//=============================================================================
// ImplantAmmo.
//=============================================================================
class ImplantAmmo expands Ammo;

#EXEC TEXTURE IMPORT NAME=IG_AmmoSkin FILE=Textures\IG_AmmoSkin.pcx LODSET=2 DETAIL=metal

#EXEC MESH IMPORT MESH=IG_AmmoMesh ANIVFILE=Models\IG_AmmoMesh_a.3d DATAFILE=Models\IG_AmmoMesh_d.3d
#EXEC MESH ORIGIN MESH=IG_AmmoMesh X=0 Y=0 Z=0 ROLL=64 PITCH=128
#EXEC MESH LODPARAMS MESH=IG_AmmoMesh STRENGTH=0.3
#EXEC MESH SEQUENCE MESH=IG_AmmoMesh SEQ=All STARTFRAME=0 NUMFRAMES=1
#EXEC MESHMAP SCALE MESHMAP=IG_AmmoMesh X=0.03 Y=0.03 Z=0.06
#EXEC MESHMAP SETTEXTURE MESHMAP=IG_AmmoMesh NUM=0 TEXTURE=IG_AmmoSkin
#EXEC MESHMAP SETTEXTURE MESHMAP=IG_AmmoMesh NUM=1 TEXTURE=Damagewet

#EXEC TEXTURE IMPORT NAME=IG_AmmoIcon FILE=Textures\IG_AmmoIcon.pcx MIPS=OFF

#EXEC AUDIO IMPORT NAME=IG_AmmoSound FILE=Sounds\IG_AmmoSound.wav

simulated function PreBeginPlay()
{
	Super.PreBeginPlay();

	if ( (Int(Level.EngineVersion) < 226) && (Level.NetMode != NM_DedicatedServer) )
	MultiSkins[1] = Texture'UDamageFX';
}

defaultproperties
{
     AmmoAmount=10
     MaxAmmo=50
     UsedInWeaponSlot(2)=1
     PickupMessage="You picked up some purple gel."
     PickupViewMesh=Mesh'IG_AmmoMesh'
     PickupSound=Sound'IG_AmmoSound'
     Icon=Texture'IG_AmmoIcon'
     Mesh=Mesh'IG_AmmoMesh'
     CollisionRadius=12.000000
     CollisionHeight=7.000000
     bCollideActors=True
}
